Index: admin/index.php
===================================================================
--- admin/index.php	(revision 931)
+++ admin/index.php	(revision 691)
@@ -81,13 +81,11 @@
 		$fav = unserialize($v['value']);
 		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			if (dc_valid_fav($fav['url'])) {
-				$count++;
-				$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
-					($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
-				$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
-
-				# Let plugins set their own title for favorite on dashboard
-				$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
-			}
+			$count++;
+			$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
+				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
+			$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
+
+			# Let plugins set their own title for favorite on dashboard
+			$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
 		}
 	}
@@ -98,13 +96,11 @@
 		$fav = unserialize($v['value']);
 		if (($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)) {
-			if (dc_valid_fav($fav['url'])) {
-				$count++;
-				$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
-					($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
-				$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
-
-				# Let plugins set their own title for favorite on dashboard
-				$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
-			}
+			$count++;
+			$title = ($fav['name'] == 'posts' ? sprintf($str_entries,$post_count) : 
+				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
+			$__dashboard_icons[$fav['name']] = new ArrayObject(array(__($title),$fav['url'],$fav['large-icon']));
+
+			# Let plugins set their own title for favorite on dashboard
+			$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
 		}
 	}
@@ -129,5 +125,5 @@
 	
 		foreach ($__resources['doc'] as $k => $v) {
-			$doc_links .= '<li><a href="'.$v.'" title="'.$k.' '.__('(external link)').'">'.$k.'</a></li>';
+			$doc_links .= '<li><a href="'.$v.'">'.$k.'</a></li>';
 		}
 	
@@ -156,6 +152,5 @@
 			foreach ($feed->items as $item)
 			{
-				$dt = isset($item->link) ? '<a href="'.$item->link.'"'.$v.'" title="'.$item->title.' '.__('(external link)').'">'.
-					$item->title.'</a>' : $item->title;
+				$dt = isset($item->link) ? '<a href="'.$item->link.'">'.$item->title.'</a>' : $item->title;
 			
 				if ($i < 3) {
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 858)
+++ admin/install/wizard.php	(revision 557)
@@ -44,13 +44,4 @@
 if (is_file(DC_RC_PATH)) {
 	http::redirect('index.php');
-}
-
-if (!is_writable(dirname(DC_RC_PATH))) {
-	$err = '<p>'.sprintf(__('Path <strong>%s</strong> is not writable.'),path::real(dirname(DC_RC_PATH))).'</p>'.
-	'<p>'.__('Dotclear installation wizard could not create configuration file for you. '.
-		'You must change folder right or create the <strong>config.php</strong> '.
-		'file manually, please refer to '.
-		'<a href="http://dotclear.org/documentation/2.0/admin/install">'.
-		'the documentation</a> to learn how to do this.').'</p>';
 }
 
Index: admin/js/_media_item.js
===================================================================
--- admin/js/_media_item.js	(revision 947)
+++ admin/js/_media_item.js	(revision 0)
@@ -63,9 +63,3 @@
 		return true;
 	});
-
-	// Confirm for deleting current medoa
-	$('#delete-form input[name="delete"]').click(function() {
-		return window.confirm(dotclear.msg.confirm_delete_media);
-	});
-
 });
Index: admin/js/_permissions.js
===================================================================
--- admin/js/_permissions.js	(revision 0)
+++ admin/js/_permissions.js	(revision 0)
@@ -0,0 +1,56 @@
+jQuery.fn.updatePermissionsForm = function() {
+	return this.each(function() {
+		var perms = {};
+		var re = /^perm\[(.+?)\]\[(.+?)\]$/;
+		var e,prop;
+		
+		// Building a nice object of form elements
+		for (var i=0; i<this.elements.length; i++) {
+			e = this.elements[i];
+			
+			if (e.name == undefined) {
+				continue;
+			}
+			prop = e.name.match(re);
+			if (!prop) {
+				continue;
+			}
+			if (perms[prop[1]] == undefined) {
+				perms[prop[1]] = {};
+			}
+			perms[prop[1]][prop[2]] = e;
+		}
+		
+		// Update elements status
+		var E;
+		for (blog in perms) {
+			for (perm in perms[blog]) {
+				E = perms[blog][perm];
+				E.onclick = function() {};
+				
+				if (perm == 'admin' && !E.disabled) {
+					perms[blog]['usage'].disabled = E.checked;
+					perms[blog]['publish'].disabled = E.checked;
+					perms[blog]['delete'].disabled = E.checked;
+					perms[blog]['contentadmin'].disabled = E.checked;
+					perms[blog]['categories'].disabled = E.checked;
+					perms[blog]['media'].disabled = E.checked;
+					perms[blog]['media_admin'].disabled = E.checked;
+					E.onclick = function() { $(this.form).updatePermissionsForm(); };
+				} else if (perm == 'contentadmin' && !E.disabled) {
+					perms[blog]['usage'].disabled = E.checked;
+					perms[blog]['publish'].disabled = E.checked;
+					perms[blog]['delete'].disabled = E.checked;
+					E.onclick = function() { $(this.form).updatePermissionsForm(); };
+				} else if (perm == 'media_admin' && !E.disabled) {
+					perms[blog]['media'].disabled = E.checked;
+					E.onclick = function() { $(this.form).updatePermissionsForm(); };
+				}
+			}
+		}
+	});
+};
+
+$(function() {
+	$('#permissions-form').updatePermissionsForm();
+});
Index: admin/js/_permissions_blog.js
===================================================================
--- admin/js/_permissions_blog.js	(revision 0)
+++ admin/js/_permissions_blog.js	(revision 0)
@@ -0,0 +1,5 @@
+$(function() {
+	$('.checkboxes-helpers').each(function() {
+		dotclear.checkboxesHelpers(this);
+	});
+});
Index: admin/js/_users.js
===================================================================
--- admin/js/_users.js	(revision 860)
+++ admin/js/_users.js	(revision 548)
@@ -4,5 +4,5 @@
 	});
 	$('#form-users').submit(function() {
-		var action = $(this).find('select[name="action"]').val();
+		var action = $(this).find('select[name="dispatch_action"]').val();
 		var user_ids = new Array();
 		var nb_posts = new Array();
@@ -10,5 +10,5 @@
 		var msg_cannot_delete = false;
 		
-		$(this).find('input[name="users[]"]').each(function() {
+		$(this).find('input[name="user_id[]"]').each(function() {
 			user_ids.push(this);
 		});
@@ -41,5 +41,5 @@
 		
 		if (action == 'deleteuser') {
-			return window.confirm(dotclear.msg.confirm_delete_user.replace('%s',$('input[name="users[]"]:checked').size()));
+			return window.confirm(dotclear.msg.confirm_delete_user.replace('%s',$('input[name="user_id[]"]:checked').size()));
 		}
 		
Index: admin/js/author_filter.js
===================================================================
--- admin/js/author_filter.js	(revision 781)
+++ admin/js/author_filter.js	(revision 781)
@@ -0,0 +1,58 @@
+function split( val ) {
+	return val.split( /,\s*/ );
+}
+function extractLast(term) {
+	return split(term).pop();
+}
+
+$(function() {
+	$('#f_author')
+	.bind( "keydown", function( event ) {
+		if ( event.keyCode === $.ui.keyCode.TAB &&
+				$( this ).data( "autocomplete" ).menu.active ) {
+			event.preventDefault();
+		}
+	})
+	.autocomplete({
+		minLength: 2,
+		delay: 1000,
+		source: function(request,response) {
+			$.ajax({
+				url: 'services.php',
+				data: {
+					'f': 'searchCommentAuthor',
+					'q': extractLast(request.term)
+				},
+				success:function(data,status) {
+					results = [];
+					$(data).find('author').each(function(){
+						var name = $(this).attr('name');
+						results.push({label:name,value:name});
+					});
+					response(results);
+				}
+			});
+		},
+		search: function() {
+			var term = extractLast( this.value );
+			if ( term.length < 2 ) {
+				return false;
+			}
+		},
+		focus: function() {
+			// prevent value inserted on focus
+			return false;
+		},
+		select: function( event, ui ) {
+			var terms = split( this.value );
+			// remove the current input
+			terms.pop();
+			// add the selected item
+			terms.push( ui.item.value );
+			// add placeholder to get the comma-and-space at the end
+			terms.push( "" );
+			this.value = terms.join( ", " );
+			return false;
+		}		
+	});
+});
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 958)
+++ admin/js/common.js	(revision 343)
@@ -319,5 +319,24 @@
 -------------------------------------------------------- */
 function positionFooter() {
-	$('#footer').constantfooter();
+	$("#wrapper").css({ overflow: "auto" });
+	var page_height = $("#top").height() + $("#wrapper").height() - $("#footer").height();
+	if( page_height < $(window).height() ){
+		// calcul de la largeur
+		var page_width = $(document).width() - 30;
+		$("#footer").css({
+			position: "absolute",
+			bottom: "10px",
+			width: page_width+"px",
+			padding: ".75em 0",
+			marginbottom: "0"
+		});
+	} else {
+		$("#footer").css({
+			position: "static",
+			padding: ".75em 0",
+			width: "auto"
+		});
+	}
+
 }
 
@@ -352,5 +371,5 @@
 
 	$('.message').backgroundFade({sColor:'#cccccc',eColor:'#666666',steps:20});
-	$('.error').backgroundFade({sColor:'#ffeee3',eColor:'#ffdec8',steps:20});
+	$('.error').backgroundFade({sColor:'#f5e5e5',eColor:'#e5bfbf',steps:20});
 
 	$('form:has(input[type=password][name=your_pwd])').submit(function() {
@@ -366,4 +385,5 @@
 	});
 
+
 	// Sticky footer
 	positionFooter();
Index: admin/js/filters.js
===================================================================
--- admin/js/filters.js	(revision 783)
+++ admin/js/filters.js	(revision 783)
@@ -0,0 +1,6 @@
+$(function() {
+	$('#toggle-filters').click(function(e) {
+		$('#filters').toggleClass('hidden');
+		$('#toggle-filters').toggleClass('opened');
+	});
+});
